org.springframework.beans.factory.support

## Class MethodOverrides

- java.lang.Object
- - org.springframework.beans.factory.support.MethodOverrides

    public class MethodOverrides
    extends Object

Set of method overrides, determining which, if any, methods on a managed object the Spring IoC container will override at runtime.

The currently supported `MethodOverride` variants are `LookupOverride` and `ReplaceOverride`.

Since:
  1.1
Author:
  Rod Johnson, Juergen Hoeller
See Also:
  `MethodOverride`

### Constructor Summary

Constructors
Constructor and Description
`MethodOverrides()` Create new MethodOverrides.
`MethodOverrides(MethodOverrides other)` Deep copy constructor.

### Method Summary

Methods
`void` `addOverride(MethodOverride override)` Add the given method override.
`void` `addOverrides(MethodOverrides other)` Copy all given method overrides into this object.
`boolean` `equals(Object other)`
`MethodOverride` `getOverride(Method method)` Return the override for the given method, if any.
`Set<MethodOverride>` `getOverrides()` Return all method overrides contained by this object.
`int` `hashCode()`
`boolean` `isEmpty()` Return whether the set of method overrides is empty.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MethodOverrides

    public MethodOverrides()

Create new MethodOverrides.

#### MethodOverrides

    public MethodOverrides(MethodOverrides other)

Deep copy constructor.

### Method Detail

#### addOverrides

    public void addOverrides(MethodOverrides other)

Copy all given method overrides into this object.

#### addOverride

    public void addOverride(MethodOverride override)

Add the given method override.

#### getOverrides

    public Set<MethodOverride> getOverrides()

Return all method overrides contained by this object.

Returns:
  Set of MethodOverride objects
See Also:
  `MethodOverride`

#### isEmpty

    public boolean isEmpty()

Return whether the set of method overrides is empty.

#### getOverride

    public MethodOverride getOverride(Method method)

Return the override for the given method, if any.

Parameters:
  `method` - method to check for overrides for
Returns:
  the method override, or `null` if none

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`